# CairoContext::fillExtents

# cairo_fill_extents

(PECL cairo >= 0.1.0)

CairoContext::fillExtents -- cairo_fill_extents — Computes the filled area

### Description

Object oriented style (method):

public CairoContext::fillExtents ( void ) : array

Procedural style:

cairo_fill_extents ( CairoContext `$context` ) : array

Computes a bounding box in user coordinates covering the area that would be affected, (the “inked” area), by a CairoContext::fill() operation given the current path and fill parameters. If the current path is empty, returns an empty rectangle (0,0,0,0). Surface dimensions and clipping are not taken into account.

Contrast with CairoContext::pathExtents(), which is similar, but returns non-zero extents for some paths with no inked area, (such as a simple line segment).

Note that CairoContext::fillExtents() must necessarily do more work to compute the precise inked areas in light of the fill rule, so CairoContext::pathExtents() may be more desirable for sake of performance if the non-inked path extents are desired.

### Parameters

`context`

  A valid CairoContext object created with CairoContext::__construct() or cairo_create()

### Return Values

An array with the coordinates of the afected area

### Examples

Example #1 Object oriented style

`<?php
/* ... */
?>`

The above example will output something similar to:

    ...

Example #2 Procedural style

`<?php
/* ... */
?>`

The above example will output something similar to:

    ...

### See Also

- CairoContext::fill() - Fills the current path
- CairoContext::setFillRule() - The setFillRule purpose
- CairoContext::fillPreserve() - Fills and preserve the current path